# inspect_string module

A module

## Modules

module another_module
  Another module
module subpackage
  A subpackage

## Classes

class DerivedException
  A class deriving from BaseException, which has the weird args getset_descriptor
class Foo
  The foo class
class FooSlots
  A class with slots. Can't have docstrings for these.
class Specials
  Special class members

## Enums

class MyEnum(enum.Enum): VALUE = 0 ANOTHER = 1 YAY = 2
  An enum
class UndocumentedEnum(enum.IntFlag): FLAG_ONE = 1 FLAG_SEVENTEEN = 17

## Functions

def function()
  A function

## Data

A_CONSTANT = 3.24
foo

## Enum documentation

### class inspect_string.MyEnum(enum.Enum)

An enum

Enumerators |
--- | ---
VALUE | A value
ANOTHER | Another value
YAY |